Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 433477 - Review Request: guake - Drop-down terminal for GNOME
Summary: Review Request: guake - Drop-down terminal for GNOME
Keywords:
Status: CLOSED DUPLICATE of bug 444788
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-02-19 15:45 UTC by Torsten Trautwein
Modified: 2008-04-30 16:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-29 15:06:00 UTC


Attachments (Terms of Use)

Description Torsten Trautwein 2008-02-19 15:45:35 UTC
Spec URL: http://www.neowork.de/guake/guake.spec
SRPM URL: http://www.neowork.de/guake/guake-0.1-1.src.rpm
Description: Guake is a drop-down terminal for Gnome Desktop Environment,
so you just need to press a key to invoke him,
and press again to hide.

Note: This is my first package, so I'm seeking a sponsor. Thanks.

rpmlint:
guake.src:11: W: buildprereq-use python-devel, glib2-devel >= 2.0, libX11-devel, notify-python
guake.src: W: strange-permission guake-0.1.tar.gz 0744
guake.src: W: strange-permission guake.spec 0744

Comment 1 Guidolin Francesco 2008-02-19 19:59:05 UTC
Hi, this is an unofficial review.

There are some things that need to be fixed:

[-] You should use %{dist} in the release tag:
Release:  1%{dist}
[-] You should use %{?_smp_mflags} in the make command:
make %{?_smp_mflags}
this enable parallel build on multicore CPU.
[-] Use %{_sysconfdir} instead of /etc:
%{_sysconfdir}/gconf/schemas/guake.schemas

Comment 2 Torsten Trautwein 2008-02-19 21:55:19 UTC
Guidolin,

thanks for your review. As this is my first rpm package, I really appreciate any
feedback.

I fixed the the mistakes you mentioned. The new version is available here:
http://www.neowork.de/guake/guake.spec
http://www.neowork.de/guake/guake-0.1-1.fc8.src.rpm
http://www.neowork.de/guake/guake-0.1-1.fc8.i386.rpm
http://www.neowork.de/guake/guake-debuginfo-0.1-1.fc8.i386.rpm

Thanks,
Torsten

Comment 3 Guidolin Francesco 2008-02-20 15:46:15 UTC
Ok, there are some other things:

[-] The recommended value for the BuildRoot tag is:
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
http://fedoraproject.org/wiki/Packaging/Guidelines#head-b4fdd45fa76cbf54c885ef0836361319ab962473


[-] Packages should not use the PreReq tag.
http://fedoraproject.org/wiki/Packaging/Guidelines#head-c81b037a3a0d08f98eb9cb50594f5de73d1e461d


[-] *.la file should be removed. Add:
find %{buildroot} -name \*\.la -delete

after make install and remove those file from the file list.

http://fedoraproject.org/wiki/Packaging/Guidelines#head-2302ec1e1f44202c9cc4bcce24cb711266557ad7



Comment 4 Mamoru TASAKA 2008-03-20 18:16:42 UTC
ping?

Comment 5 Mamoru TASAKA 2008-04-03 15:57:01 UTC
ping again?

Comment 6 Mamoru TASAKA 2008-04-16 18:23:11 UTC
This review request will be closed if no response from the reporter is
received within ONE WEEK.

Comment 7 Mamoru TASAKA 2008-04-29 15:06:00 UTC
Once closing.

If someone wants to import this package into Fedora, please file a new
review request and mark this bug a duplicate of the new one.

Thank you!

Comment 8 Darryl L. Pierce 2008-04-30 16:14:51 UTC

*** This bug has been marked as a duplicate of 444788 ***


Note You need to log in before you can comment on or make changes to this bug.